table.tab_table {
	width:100%;

	border:1px #aaaaaa solid;
		border-radius:20px;
}

table.tab_table th{
	background-color:#222;
	color:rgb(157,157,157);
}

table.tab_table tr:nth-child(odd){
  background-color:rgb(220,220,220);
}
table.tab_table tr:nth-child(even){
  background-color:rgb(240,240,240);
}

table.tab_table tfoot {
display: table-header-group !important;
}

#loading {
	position: absolute;
	top:100px;
    width:100%;
    padding: 20px;
text-align:center;
z-index:100;
border-radius:50px;
background-color:rgba(240,240,240,0.8);
display:none;
}

#loading img{
	max-width:100%;
}




pre.pretabprint {
		page-break-inside:auto;
		font-size:3mm;
		line-height:2.8mm;
		width:210mm;
		padding:0;
		margin:0;
		overflow:hidden;
		display:none;
	}
TEXT {
		display:block;
		clear:both;
	}	
.nobreakpage {
		padding:0;
		margin:0;
		display: inline-block;
		vertical-align:bottom;
		text-align:left;
		page-break-inside:avoid;
	}
.notfirstlineelement .firstBarre{
		display:none;
	}	
	
pre textarea {
   	 font-size: 12px;
    font-family: monospace; 
}

.firstlineelement .firstBarre{
	display:inline;
}
.firstlineelement{
	display: block;

}
@media print {
.firstlineelement{
	white-space: pre-wrap;

}
pre.pretabplayer {
		display:none;
	}
	.carousel {
		display:none;
	}
	.navbar-writer {
		display:none;
	}
	.noprint {
		display:none;
	}
	.container {
		width:100%;		
	}
	
	TEXT {
		display:block;
		clear:both;
	}
	pre {
		page-break-inside:auto;
		/* font-size:8px !important;
		line-height:7px !important; */
		/* padding:0; */
		margin:0;
		border:0; 
		overflow:hidden;
	}
	.nobreakpage {
		padding:0;
		margin:0;
		display: inline-block;
		vertical-align:bottom;
		page-break-inside:avoid;
		text-align:left;
	}

	.tabPlayerControls a{
		display:none;
	}
	
	.tuning select {
		overflow: hidden;
		border: none;
		background: none;
		-webkit-appearance: none;
		-moz-appearance: none;
		appearance: none;
	
	}
	.tuning select::-ms-expand {
		display: none;
	}
div.tabprintsetting {
	display:none;
	}
	footer {
		display:none;
        position: absolute;
		bottom: 0;
    }
.row {
	padding-top:0;
		margin-top:0;
	line-height:10px;
}
	h2 {
		padding-top:0;
		margin-top:0;
	}
}

label{
	width:80px;
	text-align:right;
}
		
#NomTabExist{
	color:red;
	margin-left:10px;
	display:none;
}

.Taberror{
	color:red;
	margin-left:10px;
}
.inputTab:disabled{
	background:#ffffff;
	border:0;
	
}

select.inputTab:disabled::-ms-expand {	display: none; }
select.inputTab:disabled {
	overflow:none;
	-webkit-appearance: none;
    appearance: none;
}
